Subject: Re: [PATCH] net: stmmac: fix MAC not working when system resume back with WoL enabled

From: Andrew Lunn <[email-masked]>
Date: Mon, 6 Sep 2021 15:23:49 +0200

> We do have the ability to place the link into the slowest mutually
> supported speed via phy(link)?_speed_down(). This has the advantage of
> reducing the power used to keep the link active while in suspend (which
> is its primary purpose) but also reduces the possible link modes that
> could be autonegotiated with the partner.
> 
> I think I'd suggest to Andrew that phy_speed_down() should only
> advertise one capability, not "everything we support below the minimum
> mutually supported capability" - that way, if a link change is attempted
> on the partner while the system is suspended, the link will not come up
> and its obvious it isn't going to work.

Yes, that sounds reasonable.

> I think this is an issue for a separate patch set.

Yes, i would say a change like that is net-next material.

     Andrew